Issue API key
curl --request POST \
--url https://api.quiva.ai/accounts/api-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key_name": "<string>",
"email": "jsmith@example.com",
"scope": "user",
"expiry_days": 123,
"allow_endpoints": [
{
"method": "<string>",
"path": "<string>",
"gateway_id": "<string>",
"subjects": [
"<string>"
]
}
],
"allow_sub_subjects": [
"<string>"
],
"deny_sub_subjects": [
"<string>"
],
"allow_pub_subjects": [
"<string>"
],
"deny_pub_subjects": [
"<string>"
],
"resp_permission": {
"max": 123,
"ttl": 123
}
}
'import requests
url = "https://api.quiva.ai/accounts/api-key"
payload = {
"key_name": "<string>",
"email": "jsmith@example.com",
"scope": "user",
"expiry_days": 123,
"allow_endpoints": [
{
"method": "<string>",
"path": "<string>",
"gateway_id": "<string>",
"subjects": ["<string>"]
}
],
"allow_sub_subjects": ["<string>"],
"deny_sub_subjects": ["<string>"],
"allow_pub_subjects": ["<string>"],
"deny_pub_subjects": ["<string>"],
"resp_permission": {
"max": 123,
"ttl": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key_name: '<string>',
email: 'jsmith@example.com',
scope: 'user',
expiry_days: 123,
allow_endpoints: [
{
method: '<string>',
path: '<string>',
gateway_id: '<string>',
subjects: ['<string>']
}
],
allow_sub_subjects: ['<string>'],
deny_sub_subjects: ['<string>'],
allow_pub_subjects: ['<string>'],
deny_pub_subjects: ['<string>'],
resp_permission: {max: 123, ttl: 123}
})
};
fetch('https://api.quiva.ai/accounts/api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/api-key",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'key_name' => '<string>',
'email' => 'jsmith@example.com',
'scope' => 'user',
'expiry_days' => 123,
'allow_endpoints' => [
[
'method' => '<string>',
'path' => '<string>',
'gateway_id' => '<string>',
'subjects' => [
'<string>'
]
]
],
'allow_sub_subjects' => [
'<string>'
],
'deny_sub_subjects' => [
'<string>'
],
'allow_pub_subjects' => [
'<string>'
],
'deny_pub_subjects' => [
'<string>'
],
'resp_permission' => [
'max' => 123,
'ttl' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/api-key"
payload := strings.NewReader("{\n \"key_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"scope\": \"user\",\n \"expiry_days\": 123,\n \"allow_endpoints\": [\n {\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"gateway_id\": \"<string>\",\n \"subjects\": [\n \"<string>\"\n ]\n }\n ],\n \"allow_sub_subjects\": [\n \"<string>\"\n ],\n \"deny_sub_subjects\": [\n \"<string>\"\n ],\n \"allow_pub_subjects\": [\n \"<string>\"\n ],\n \"deny_pub_subjects\": [\n \"<string>\"\n ],\n \"resp_permission\": {\n \"max\": 123,\n \"ttl\": 123\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/accounts/api-key")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"key_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"scope\": \"user\",\n \"expiry_days\": 123,\n \"allow_endpoints\": [\n {\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"gateway_id\": \"<string>\",\n \"subjects\": [\n \"<string>\"\n ]\n }\n ],\n \"allow_sub_subjects\": [\n \"<string>\"\n ],\n \"deny_sub_subjects\": [\n \"<string>\"\n ],\n \"allow_pub_subjects\": [\n \"<string>\"\n ],\n \"deny_pub_subjects\": [\n \"<string>\"\n ],\n \"resp_permission\": {\n \"max\": 123,\n \"ttl\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/api-key")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"key_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"scope\": \"user\",\n \"expiry_days\": 123,\n \"allow_endpoints\": [\n {\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"gateway_id\": \"<string>\",\n \"subjects\": [\n \"<string>\"\n ]\n }\n ],\n \"allow_sub_subjects\": [\n \"<string>\"\n ],\n \"deny_sub_subjects\": [\n \"<string>\"\n ],\n \"allow_pub_subjects\": [\n \"<string>\"\n ],\n \"deny_pub_subjects\": [\n \"<string>\"\n ],\n \"resp_permission\": {\n \"max\": 123,\n \"ttl\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"key": "<string>",
"name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"expires_on": "2023-11-07T05:31:56Z",
"creds": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API Keys
Issue API key
Issues a new API key. The full key is returned once. User keys act as the issuing user and work on every endpoint that user can reach. Account keys (scope: account) can be issued only by root and administrators. Keys expire after 90 days unless expiry_days says otherwise. This is not an API integration: integrations are machine identities for task sync only.
POST
/
accounts
/
api-key
Issue API key
curl --request POST \
--url https://api.quiva.ai/accounts/api-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key_name": "<string>",
"email": "jsmith@example.com",
"scope": "user",
"expiry_days": 123,
"allow_endpoints": [
{
"method": "<string>",
"path": "<string>",
"gateway_id": "<string>",
"subjects": [
"<string>"
]
}
],
"allow_sub_subjects": [
"<string>"
],
"deny_sub_subjects": [
"<string>"
],
"allow_pub_subjects": [
"<string>"
],
"deny_pub_subjects": [
"<string>"
],
"resp_permission": {
"max": 123,
"ttl": 123
}
}
'import requests
url = "https://api.quiva.ai/accounts/api-key"
payload = {
"key_name": "<string>",
"email": "jsmith@example.com",
"scope": "user",
"expiry_days": 123,
"allow_endpoints": [
{
"method": "<string>",
"path": "<string>",
"gateway_id": "<string>",
"subjects": ["<string>"]
}
],
"allow_sub_subjects": ["<string>"],
"deny_sub_subjects": ["<string>"],
"allow_pub_subjects": ["<string>"],
"deny_pub_subjects": ["<string>"],
"resp_permission": {
"max": 123,
"ttl": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key_name: '<string>',
email: 'jsmith@example.com',
scope: 'user',
expiry_days: 123,
allow_endpoints: [
{
method: '<string>',
path: '<string>',
gateway_id: '<string>',
subjects: ['<string>']
}
],
allow_sub_subjects: ['<string>'],
deny_sub_subjects: ['<string>'],
allow_pub_subjects: ['<string>'],
deny_pub_subjects: ['<string>'],
resp_permission: {max: 123, ttl: 123}
})
};
fetch('https://api.quiva.ai/accounts/api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/api-key",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'key_name' => '<string>',
'email' => 'jsmith@example.com',
'scope' => 'user',
'expiry_days' => 123,
'allow_endpoints' => [
[
'method' => '<string>',
'path' => '<string>',
'gateway_id' => '<string>',
'subjects' => [
'<string>'
]
]
],
'allow_sub_subjects' => [
'<string>'
],
'deny_sub_subjects' => [
'<string>'
],
'allow_pub_subjects' => [
'<string>'
],
'deny_pub_subjects' => [
'<string>'
],
'resp_permission' => [
'max' => 123,
'ttl' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/api-key"
payload := strings.NewReader("{\n \"key_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"scope\": \"user\",\n \"expiry_days\": 123,\n \"allow_endpoints\": [\n {\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"gateway_id\": \"<string>\",\n \"subjects\": [\n \"<string>\"\n ]\n }\n ],\n \"allow_sub_subjects\": [\n \"<string>\"\n ],\n \"deny_sub_subjects\": [\n \"<string>\"\n ],\n \"allow_pub_subjects\": [\n \"<string>\"\n ],\n \"deny_pub_subjects\": [\n \"<string>\"\n ],\n \"resp_permission\": {\n \"max\": 123,\n \"ttl\": 123\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/accounts/api-key")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"key_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"scope\": \"user\",\n \"expiry_days\": 123,\n \"allow_endpoints\": [\n {\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"gateway_id\": \"<string>\",\n \"subjects\": [\n \"<string>\"\n ]\n }\n ],\n \"allow_sub_subjects\": [\n \"<string>\"\n ],\n \"deny_sub_subjects\": [\n \"<string>\"\n ],\n \"allow_pub_subjects\": [\n \"<string>\"\n ],\n \"deny_pub_subjects\": [\n \"<string>\"\n ],\n \"resp_permission\": {\n \"max\": 123,\n \"ttl\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/api-key")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"key_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"scope\": \"user\",\n \"expiry_days\": 123,\n \"allow_endpoints\": [\n {\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"gateway_id\": \"<string>\",\n \"subjects\": [\n \"<string>\"\n ]\n }\n ],\n \"allow_sub_subjects\": [\n \"<string>\"\n ],\n \"deny_sub_subjects\": [\n \"<string>\"\n ],\n \"allow_pub_subjects\": [\n \"<string>\"\n ],\n \"deny_pub_subjects\": [\n \"<string>\"\n ],\n \"resp_permission\": {\n \"max\": 123,\n \"ttl\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"key": "<string>",
"name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"expires_on": "2023-11-07T05:31:56Z",
"creds": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Body
application/json